# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.67"
name = "twilight-standby"
version = "0.15.3"
authors = ["Twilight Contributors"]
include = [
    "src/**/*.rs",
    "README.md",
]
publish = true
description = "Utility to filter wait for filtered incoming events for the Twilight ecosystem."
homepage = "https://twilight.rs/chapter_1_crates/section_6_standby.html"
readme = "README.md"
keywords = [
    "discord",
    "discord-api",
    "twilight",
]
categories = ["asynchronous"]
license = "ISC"
repository = "https://github.com/twilight-rs/twilight.git"

[dependencies.dashmap]
version = "5.3"
default-features = false

[dependencies.futures-util]
version = "0.3"
features = ["std"]
default-features = false

[dependencies.tokio]
version = "1.0"
features = ["sync"]
default-features = false

[dependencies.tracing]
version = "0.1"
features = [
    "std",
    "attributes",
]
default-features = false

[dependencies.twilight-model]
version = "0.15.3"
default-features = false

[dev-dependencies.anyhow]
version = "1"
features = ["std"]
default-features = false

[dev-dependencies.static_assertions]
version = "1"
default-features = false

[dev-dependencies.tokio]
version = "1.0"
features = [
    "macros",
    "rt-multi-thread",
]
default-features = false
